# `causalis.scenarios.synthetic_control.refutation.donors_diagnostics`

## Module Contents

### Functions

`donors_diagnostics` | Build one donor-level diagnostics table for SCM feasibility checks.
`run_scm_feasibility` | Return core SCM feasibility tables from panel data only (EDA phase).

### Data

`__all__` |

### API

causalis.scenarios.synthetic_control.refutation.donors_diagnostics.donors_diagnostics(panel_data: causalis.data_contracts.panel_data_scm.PanelDataSCM) → pandas.DataFrame

  Build one donor-level diagnostics table for SCM feasibility checks.

causalis.scenarios.synthetic_control.refutation.donors_diagnostics.run_scm_feasibility(paneldata: causalis.data_contracts.panel_data_scm.PanelDataSCM) → Dict[str, pandas.DataFrame]

  Return core SCM feasibility tables from panel data only (EDA phase).

causalis.scenarios.synthetic_control.refutation.donors_diagnostics.__all__

  [‘donors_diagnostics’, ‘run_scm_feasibility’]